Subject: Re: [PATCH 1/3] git_parse_unsigned: reject negative values

From: Junio C Hamano <[email-masked]>
Date: Sat, 22 Oct 2022 10:54:23 -0700

Jeff King <[email-masked]> writes:

> It does make me wonder if anybody uses a negative value like this in the
> wild for "no limit", as it does what you might imagine currently (I get
> 2^64-1).

I vaguely recall complaints on the command line argument that used
to take -1 to mean "practically unlimited" when its parsing got
tightened.  I wouldn't be surprised if we are making a new issue in
the same category in the configuration file with this change.

But we can switch to the signed variant when it becomes an issue, I
guess.